//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tPredefinedPTypeEnum的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * <p>
 * <pre>
 * &lt;simpleType name="tPredefinedPTypeEnum"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}Name"&gt;
 *     &lt;enumeration value="IP"/&gt;
 *     &lt;enumeration value="IP-SUBNET"/&gt;
 *     &lt;enumeration value="IP-GATEWAY"/&gt;
 *     &lt;enumeration value="OSI-NSAP"/&gt;
 *     &lt;enumeration value="OSI-TSEL"/&gt;
 *     &lt;enumeration value="OSI-SSEL"/&gt;
 *     &lt;enumeration value="OSI-PSEL"/&gt;
 *     &lt;enumeration value="OSI-AP-Title"/&gt;
 *     &lt;enumeration value="OSI-AP-Invoke"/&gt;
 *     &lt;enumeration value="OSI-AE-Qualifier"/&gt;
 *     &lt;enumeration value="OSI-AE-Invoke"/&gt;
 *     &lt;enumeration value="MAC-Address"/&gt;
 *     &lt;enumeration value="APPID"/&gt;
 *     &lt;enumeration value="VLAN-PRIORITY"/&gt;
 *     &lt;enumeration value="VLAN-ID"/&gt;
 *     &lt;enumeration value="SNTP-Port"/&gt;
 *     &lt;enumeration value="MMS-Port"/&gt;
 *     &lt;enumeration value="DNSName"/&gt;
 *     &lt;enumeration value="IPv6FlowLabel"/&gt;
 *     &lt;enumeration value="IPv6ClassOfTraffic"/&gt;
 *     &lt;enumeration value="C37-118-IP-Port"/&gt;
 *     &lt;enumeration value="IP-UDP-PORT"/&gt;
 *     &lt;enumeration value="IP-TCP-PORT"/&gt;
 *     &lt;enumeration value="IPv6"/&gt;
 *     &lt;enumeration value="IPv6-SUBNET"/&gt;
 *     &lt;enumeration value="IPv6-GATEWAY"/&gt;
 *     &lt;enumeration value="IPv6-IGMPv3Src"/&gt;
 *     &lt;enumeration value="IP-IGMPv3Src"/&gt;
 *     &lt;enumeration value="IP-ClassOfTraffic"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "tPredefinedPTypeEnum")
@XmlEnum
public enum TPredefinedPTypeEnum {

    IP("IP"),
    @XmlEnumValue("IP-SUBNET")
    IP_SUBNET("IP-SUBNET"),
    @XmlEnumValue("IP-GATEWAY")
    IP_GATEWAY("IP-GATEWAY"),
    @XmlEnumValue("OSI-NSAP")
    OSI_NSAP("OSI-NSAP"),
    @XmlEnumValue("OSI-TSEL")
    OSI_TSEL("OSI-TSEL"),
    @XmlEnumValue("OSI-SSEL")
    OSI_SSEL("OSI-SSEL"),
    @XmlEnumValue("OSI-PSEL")
    OSI_PSEL("OSI-PSEL"),
    @XmlEnumValue("OSI-AP-Title")
    OSI_AP_TITLE("OSI-AP-Title"),
    @XmlEnumValue("OSI-AP-Invoke")
    OSI_AP_INVOKE("OSI-AP-Invoke"),
    @XmlEnumValue("OSI-AE-Qualifier")
    OSI_AE_QUALIFIER("OSI-AE-Qualifier"),
    @XmlEnumValue("OSI-AE-Invoke")
    OSI_AE_INVOKE("OSI-AE-Invoke"),
    @XmlEnumValue("MAC-Address")
    MAC_ADDRESS("MAC-Address"),
    APPID("APPID"),
    @XmlEnumValue("VLAN-PRIORITY")
    VLAN_PRIORITY("VLAN-PRIORITY"),
    @XmlEnumValue("VLAN-ID")
    VLAN_ID("VLAN-ID"),
    @XmlEnumValue("SNTP-Port")
    SNTP_PORT("SNTP-Port"),
    @XmlEnumValue("MMS-Port")
    MMS_PORT("MMS-Port"),
    @XmlEnumValue("DNSName")
    DNS_NAME("DNSName"),
    @XmlEnumValue("IPv6FlowLabel")
    I_PV_6_FLOW_LABEL("IPv6FlowLabel"),
    @XmlEnumValue("IPv6ClassOfTraffic")
    I_PV_6_CLASS_OF_TRAFFIC("IPv6ClassOfTraffic"),
    @XmlEnumValue("C37-118-IP-Port")
    C_37_118_IP_PORT("C37-118-IP-Port"),
    @XmlEnumValue("IP-UDP-PORT")
    IP_UDP_PORT("IP-UDP-PORT"),
    @XmlEnumValue("IP-TCP-PORT")
    IP_TCP_PORT("IP-TCP-PORT"),
    @XmlEnumValue("IPv6")
    I_PV_6("IPv6"),
    @XmlEnumValue("IPv6-SUBNET")
    I_PV_6_SUBNET("IPv6-SUBNET"),
    @XmlEnumValue("IPv6-GATEWAY")
    I_PV_6_GATEWAY("IPv6-GATEWAY"),
    @XmlEnumValue("IPv6-IGMPv3Src")
    I_PV_6_IGM_PV_3_SRC("IPv6-IGMPv3Src"),
    @XmlEnumValue("IP-IGMPv3Src")
    IP_IGM_PV_3_SRC("IP-IGMPv3Src"),
    @XmlEnumValue("IP-ClassOfTraffic")
    IP_CLASS_OF_TRAFFIC("IP-ClassOfTraffic");
    private final String value;

    TPredefinedPTypeEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TPredefinedPTypeEnum fromValue(String v) {
        for (TPredefinedPTypeEnum c: TPredefinedPTypeEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
